.status-text {
    color: var(--color-red);
    margin-top: 1rem;
    min-height: 2em;
    font-weight: 500;
}
.status-text.success {
    color: var(--color-green);
    margin-top: 1rem;
    min-height: 2em;
}

#page-loader {
  position: relative;
  inset: 0;
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2em;
}

#page-loader.d-none {
  display: none;
}

#rsvp-section {
    position: relative;
    margin-bottom: 2rem;
}

.attending-form > span {
    font-weight: bold;
}

input[id^="attending-switch-"]:not(:disabled) {
    cursor: pointer;
}

input[id^="dietary-requirements-"]:disabled,
.form-switch:has(> input:disabled) {
    cursor: not-allowed;
}

#guests-container {
    margin: 1rem 0;
}

.form-switch .form-check-input {
  transform: scale(1.6);
  transform-origin: left center;
}

.form-check-label {
    margin-left: 1.5em;
    font-weight: bold;
    display: inline-block;
    min-width: 3ch;
}

.card-title {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: row;
    gap: 0.5rem;
    margin-bottom: 0;
}

.card-title > .title {
    font-size: 1.5em;
    font-weight: 500;
    color: var(--heading-color);
}

.card-icon > img {
    width: 2em;
}
.form-check-input:focus,
.form-control:focus {
  box-shadow: 0 0 0 0.15em color-mix(in srgb, var(--heading-color) 100%, transparent 60%);
}

.loader-inner .spinner-border {
    width: 3em;
    height: 3em;
}

h5 {
    line-height: 1.5em;
}

.form-label {
    font-size: 1.2em;
}
.form-label > span {
    display: block;
    font-size: 0.8em;
}

.card,
.form-control {
    border: solid 1px var(--border-color);
}

.form-check-input:checked {
    background-color: var(--color-green);
    border-color: var(--color-green);
}

.card {
    gap: 0.5rem;
}

@media (max-width: 992px) {
  .form-floating > label {
    white-space: normal;
    height: auto;
    line-height: 1;
    font-size: 0.8em;
  }

  .form-floating > .form-control {
    height: auto;
    min-height: 4.5rem;
    padding-top: 1.8rem;
  }

  .form-floating > .form-control:focus,
  .form-floating > .form-control:not(:placeholder-shown) {
    padding-top: 2rem;
  }
}